Creates a file in the Storage. The maximum file size that you can upload via API is 10 MB.
POST storage/{file-path}?format={file-encode-format}&isOverwrite={is-overwrite}
Authentication
This request requires basic authentication.
Request Parameters
Path params
| file-path |
string
|
File or folder path relative to the root, i.e., everything after ...resources/Storage/. |
|---|
Query params
| format |
string
|
File encoding. Only base64 is supported.
|
|---|---|---|
| isOverwrite |
bool
|
[optional] Whether to overwrite an existing file. false by default. |
Body params
| content |
string
|
[optional] Base64-encoded file content. If not specified, creates an empty file. |
|---|---|---|
| isFolder |
bool
|
[optional] Whether to create a folder or file. If true, content is ignored. false by default. |
Samples
Request sample
Bash (Unix Shell) |
[Bash (Unix Shell)] curl --location -g --request POST 'https://{portal-url}/api/v1/storage/project-deep-space-exploration/info.png?format=base64&isOverwrite=true' \ --data-raw '{ "content":"iVBORw0KGgoAAAANSUhEUgAAABAAAAAQCAYAAAAf8/9hAAAAQklEQVQ4y2P0av/xn4ECwMRAIcBrwNYKdoatFey0dQELPknvjp/kG4DsdHwGMVFiO+1jYdQACg1ATgf4kjPLgKcDAL8dECIPWD7kAAAAAElFTkSuQmCC", "isFolder":false }' |
Response body sample
JSON |
[JSON] { "content": null, "fileFullName": "Storage\\info.png", "fileName": "info.png", "isFolder": false, "modifiedBy": "admin", "modifiedOn": "2025-10-29T13:21:28", "size": 123 } |
Response fields
|
content
|
Always null for file uploads.
|
|---|---|
|
fileFullName
|
Path to the file in Storage. |
|
fileName
|
Name of the file. |
|
isFolder
|
Indicates if the object is a folder (false for files).
|
|
modifiedBy
|
User who uploaded the file. |
|
modifiedOn
|
Timestamp of the last modification (ISO 8601 format). |
|
size
|
File size in bytes. |